3 2

[alpine-aports] [PATCH 1/2] testing/libgnomecanvas: new aport

Ivan Tham
Details
Message ID
<20170320142540.17407-1-pickfire@riseup.net>
Sender timestamp
1490019939
DKIM signature
missing
Download raw message
Patch: +31 -0
http://www.gnome.org/
GNOME Canvas library
---
 testing/libgnomecanvas/APKBUILD | 31 +++++++++++++++++++++++++++++++
 1 file changed, 31 insertions(+)
 create mode 100644 testing/libgnomecanvas/APKBUILD

diff --git a/testing/libgnomecanvas/APKBUILD b/testing/libgnomecanvas/APKBUILD
new file mode 100644
index 00000000..1f04a76a
--- /dev/null
+++ b/testing/libgnomecanvas/APKBUILD
@@ -0,0 +1,31 @@
+# Contributor: Ivan Tham <pickfire@riseup.net>
+# Maintainer: Ivan Tham <pickfire@riseup.net>
+pkgname=libgnomecanvas
+pkgver=2.30.3
+pkgrel=0
+pkgdesc="GNOME Canvas library"
+url="http://www.gnome.org/"
+arch="all"
+license="GPL2"
+makedepends="intltool libart-lgpl-dev"
+subpackages="$pkgname-dev $pkgname-doc"
+source="https://download.gnome.org/sources/${pkgname}/${pkgver%.*}/${pkgname}-${pkgver}.tar.bz2"
+builddir="$srcdir/"$pkgname-$pkgver
+
+build() {
+	cd "$builddir"
+	./configure --prefix=/usr || return 1
+	make || return 1
+}
+
+check() {
+	cd "$builddir"
+	make check || return 1
+}
+
+package() {
+	cd "$builddir"
+	make DESTDIR="$pkgdir" install || return 1
+}
+
+sha512sums="b5bfa2133f5172abd5228d467db4d980dd4ac125cdbf55dcc1d5055dc3330861320c12cccb52ea63ba7f69824504c9d25781cd78001dc7a92b11c6f7e0c550de  libgnomecanvas-2.30.3.tar.bz2"
-- 
2.11.1



---
Unsubscribe:  alpine-aports+unsubscribe@lists.alpinelinux.org
Help:         alpine-aports+help@lists.alpinelinux.org
---

[alpine-aports] [PATCH 2/2] testing/xournal: new aport

Ivan Tham
Details
Message ID
<20170320142540.17407-2-pickfire@riseup.net>
In-Reply-To
<20170320142540.17407-1-pickfire@riseup.net> (view parent)
Sender timestamp
1490019940
DKIM signature
missing
Download raw message
Patch: +31 -0
http://xournal.sourceforge.net/
Notetaking, sketching, keeping a journal using a stylus
---
 testing/xournal/APKBUILD | 31 +++++++++++++++++++++++++++++++
 1 file changed, 31 insertions(+)
 create mode 100644 testing/xournal/APKBUILD

diff --git a/testing/xournal/APKBUILD b/testing/xournal/APKBUILD
new file mode 100644
index 00000000..9165ae54
--- /dev/null
+++ b/testing/xournal/APKBUILD
@@ -0,0 +1,31 @@
+# Contributor: Ivan Tham <pickfire@riseup.net>
+# Maintainer: Ivan Tham <pickfire@riseup.net>
+pkgname=xournal
+pkgver=0.4.8
+pkgrel=0
+pkgdesc="Notetaking, sketching, keeping a journal using a stylus"
+url="http://xournal.sourceforge.net/"
+arch="all"
+license="GPL2"
+makedepends="libgnomecanvas-dev poppler-dev"
+subpackages="$pkgname-lang"
+source="http://downloads.sourceforge.net/project/${pkgname}/${pkgname}/${pkgver}/${pkgname}-${pkgver}.tar.gz"
+builddir="$srcdir/"$pkgname-$pkgver
+
+build() {
+	cd "$builddir"
+	./configure --prefix=/usr || return 1
+	make || return 1
+}
+
+check() {
+	cd "$builddir"
+	make check || return 1
+}
+
+package() {
+	cd "$builddir"
+	make DESTDIR="$pkgdir" install || return 1
+}
+
+sha512sums="cfd5760a0e832ef02786a29cb744d4932aeee97c4d6992b430e647bd59aaef1042735203824d0eaf9da9b884dcdadcfb8f5acea221638db91438ae46a6ee42bf  xournal-0.4.8.tar.gz"
-- 
2.11.1



---
Unsubscribe:  alpine-aports+unsubscribe@lists.alpinelinux.org
Help:         alpine-aports+help@lists.alpinelinux.org
---
Leonardo Arena
Details
Message ID
<a491fcbd-ad39-1fa5-6858-774e8abedb06@gmail.com>
In-Reply-To
<20170320142540.17407-1-pickfire@riseup.net> (view parent)
Sender timestamp
1490276643
DKIM signature
missing
Download raw message
Hi,

thank you for your contribution.


On 20/03/2017 15:25, Ivan Tham wrote:
> http://www.gnome.org/
> GNOME Canvas library
> ---
>  testing/libgnomecanvas/APKBUILD | 31 +++++++++++++++++++++++++++++++
>  1 file changed, 31 insertions(+)
>  create mode 100644 testing/libgnomecanvas/APKBUILD
> 

The patch has been merged with few modifications. Some mdepends were
missing. "|| return 1" also has been removed since is no longer needed. [1]

Thanks!

|_eo

[1] http://lists.alpinelinux.org/alpine-devel/5608.html

Re: [alpine-aports] [PATCH 2/2] testing/xournal: new aport

Leonardo Arena
Details
Message ID
<0e0f999a-c0fa-ee97-5621-b04782434ded@gmail.com>
In-Reply-To
<20170320142540.17407-2-pickfire@riseup.net> (view parent)
Sender timestamp
1490277008
DKIM signature
missing
Download raw message
Hi,

thank you for your contribution.

On 20/03/2017 15:25, Ivan Tham wrote:
> http://xournal.sourceforge.net/
> Notetaking, sketching, keeping a journal using a stylus
> ---
>  testing/xournal/APKBUILD | 31 +++++++++++++++++++++++++++++++
>  1 file changed, 31 insertions(+)
>  create mode 100644 testing/xournal/APKBUILD
> 

The patch has been merged with few modifications. Some mdepends were
missing. "|| return 1" also has been removed since is no longer needed. [1]

Thanks!

|_eo

[1] http://lists.alpinelinux.org/alpine-devel/5608.html